curl --request PUT \
--url https://api.boostgpt.co/v1/bot/crm/fields/{field_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"project_id": "<string>",
"bot_id": "<string>",
"label": "<string>",
"field_type": "text",
"options": [
"<string>"
],
"required": true,
"is_required": true
}
'{
"field": {
"uuid": "<string>",
"label": "<string>",
"field_key": "<string>",
"field_type": "text",
"options": [
"<string>"
],
"required": true
}
}Update a CRM custom field.
curl --request PUT \
--url https://api.boostgpt.co/v1/bot/crm/fields/{field_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"project_id": "<string>",
"bot_id": "<string>",
"label": "<string>",
"field_type": "text",
"options": [
"<string>"
],
"required": true,
"is_required": true
}
'{
"field": {
"uuid": "<string>",
"label": "<string>",
"field_key": "<string>",
"field_type": "text",
"options": [
"<string>"
],
"required": true
}
}Documentation Index
Fetch the complete documentation index at: https://docs.boostgpt.co/llms.txt
Use this file to discover all available pages before exploring further.
Enter your API key
Field ID
Success
Show child attributes
Was this page helpful?